import 'package:flutter/material.dart';
import 'package:lottie/lottie.dart';

class Loader extends StatelessWidget {
  final double? width;
  final double? height;
  final Color? color;

  // ignore: prefer_const_constructors_in_immutables
  Loader({super.key, this.height, this.width, this.color});

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        Container(
          alignment: Alignment.center,
          width: 120, //width ?? 20,
          height: 120, // height ?? 20,
          child: //FadeTransition(opacity: ,)
              //     CircularProgressIndicator(
              //   color: color ?? AppColors.primeColor,
              // ),
              Lottie.asset('assets/animations/Loader.json'),
        ),
      ],
    );
  }
}
